Package org.opencv.xfeatures2d

## Class StarDetector

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features.Feature2D
    - - org.opencv.xfeatures2d.StarDetector

-     public class StarDetector
      extends Feature2D

  The class implements the keypoint detector introduced by CITE: Agrawal08, synonym of StarDetector. :

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StarDetector​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StarDetector` | `__fromPtr__​(long addr)` |
    `static StarDetector` | `create()` |
    `static StarDetector` | `create​(int maxSize)` |
    `static StarDetector` | `create​(int maxSize, int responseThreshold)` |
    `static StarDetector` | `create​(int maxSize, int responseThreshold, int lineThresholdProjected)` |
    `static StarDetector` | `create​(int maxSize, int responseThreshold, int lineThresholdProjected, int lineThresholdBinarized)` |
    `static StarDetector` | `create​(int maxSize, int responseThreshold, int lineThresholdProjected, int lineThresholdBinarized, int suppressNonmaxSize)` |
    `protected void` | `finalize()` |
    `java.lang.String` | `getDefaultName()` | Returns the algorithm string identifier.
    `int` | `getLineThresholdBinarized()` |
    `int` | `getLineThresholdProjected()` |
    `int` | `getMaxSize()` |
    `int` | `getResponseThreshold()` |
    `int` | `getSuppressNonmaxSize()` |
    `void` | `setLineThresholdBinarized​(int _lineThresholdBinarized)` |
    `void` | `setLineThresholdProjected​(int _lineThresholdProjected)` |
    `void` | `setMaxSize​(int _maxSize)` |
    `void` | `setResponseThreshold​(int _responseThreshold)` |
    `void` | `setSuppressNonmaxSize​(int _suppressNonmaxSize)` |

    - ### Methods inherited from class org.opencv.features.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StarDetector

          protected StarDetector​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static StarDetector __fromPtr__​(long addr)

    - #### create

          public static StarDetector create​(int maxSize,
                                            int responseThreshold,
                                            int lineThresholdProjected,
                                            int lineThresholdBinarized,
                                            int suppressNonmaxSize)

    - #### create

          public static StarDetector create​(int maxSize,
                                            int responseThreshold,
                                            int lineThresholdProjected,
                                            int lineThresholdBinarized)

    - #### create

          public static StarDetector create​(int maxSize,
                                            int responseThreshold,
                                            int lineThresholdProjected)

    - #### create

          public static StarDetector create​(int maxSize,
                                            int responseThreshold)

    - #### create

          public static StarDetector create​(int maxSize)

    - #### create

          public static StarDetector create()

    - #### setMaxSize

          public void setMaxSize​(int _maxSize)

    - #### getMaxSize

          public int getMaxSize()

    - #### setResponseThreshold

          public void setResponseThreshold​(int _responseThreshold)

    - #### getResponseThreshold

          public int getResponseThreshold()

    - #### setLineThresholdProjected

          public void setLineThresholdProjected​(int _lineThresholdProjected)

    - #### getLineThresholdProjected

          public int getLineThresholdProjected()

    - #### setLineThresholdBinarized

          public void setLineThresholdBinarized​(int _lineThresholdBinarized)

    - #### getLineThresholdBinarized

          public int getLineThresholdBinarized()

    - #### setSuppressNonmaxSize

          public void setSuppressNonmaxSize​(int _suppressNonmaxSize)

    - #### getSuppressNonmaxSize

          public int getSuppressNonmaxSize()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`